<h1 id='doku-hosted-api'>Doku Hosted API</h1><h2 id='api-method'>API Method</h2>
<p>Below is the list of API of Doku Hosted Payment Page service</p>

<table><thead>
<tr>
<th>APIS</th>
<th>HTTP Method</th>
<th>Sender</th>
<th>Descriptions</th>
</tr>
</thead><tbody>
<tr>
<td>Payment Request**</td>
<td>POST Redirect</td>
<td>Merchant (Customer&#39;s Browser)</td>
<td>Merchant submits payment request using HTML Post from Customer&#39;s browser to DOKU Hosted Payment Page, then Customer chooses which payment channel to use.</td>
</tr>
<tr>
<td>Identify</td>
<td>POST Direct to Server</td>
<td>DOKU</td>
<td>Optionally, DOKU server sends a message to Merchant&#39;s server when Customer already selects payment channel and click Submit. The message contains the chosen payment channel.</td>
</tr>
<tr>
<td>Notify**</td>
<td>POST Direct to Server</td>
<td>DOKU</td>
<td>DOKU server sends a payment notification status to Merchant&#39;s server when Acquirer has processed the payment.</td>
</tr>
<tr>
<td>Redirect**</td>
<td>POST</td>
<td>DOKU (Customer&#39;s Browser)</td>
<td>DOKU redirects Customer&#39;s browser back to Merchant Website. This is the last step of payment process from Customer perspective.</td>
</tr>
<tr>
<td>Check Status</td>
<td>POST Direct to Server</td>
<td>Merchant</td>
<td>To check the status of a transaction, Merchant server sends request to DOKU server where DOKU server will response with Transaction Status in XML format.</td>
</tr>
<tr>
<td>Inquiry</td>
<td>POST Direct to Server</td>
<td>DOKU</td>
<td>DOKU server sends a message to Merchant&#39;s Server to check Payment Code generated by Merchant.</td>
</tr>
<tr>
<td>Void</td>
<td>POST Direct to Server</td>
<td>Merchant</td>
<td>To Void a Sale Transaction, Merchant&#39;s server sends request to DOKU server where DOKU server will response in HTML format. A transaction can only be voided if it has not been settled.</td>
</tr>
<tr>
<td>Refund</td>
<td>POST</td>
<td>Merchant</td>
<td>To Refund successful Sale transaction which has been settled.</td>
</tr>
<tr>
<td>Cancellation</td>
<td>POST Direct to Server</td>
<td>Merchant</td>
<td>To Void or Refund successful Sale transaction regardless of the settlement status.</td>
</tr>
</tbody></table>

<p><em>** Main API</em></p>

<aside class="notice">Payment Request, Identify (optional), Notify and Redirect will be in one flow of transaction. Check Status, Void, and Cancellation are the API calls that you do if necessary after the transaction is done. So there are 3 main API, which is Payment Request, Notify and Redirect.</aside>
